Subject: [alpine-aports] [PATCH] testing/dfu-utils: New aport

From: Marian Buschsieweke <[email-masked]>
Date: Wed, 9 May 2018 00:50:03 +0200

Host side implementation of the DFU 1.0 and DFU 1.1 specifications
http://dfu-util.sourceforge.net/
---
 testing/dfu-util/APKBUILD | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100644 testing/dfu-util/APKBUILD

diff --git a/testing/dfu-util/APKBUILD b/testing/dfu-util/APKBUILD
new file mode 100644
index 0000000000..14bcd84117
--- /dev/null
+++ b/testing/dfu-util/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Marian Buschsieweke <[email-masked]>
+pkgname=dfu-util
+pkgver=0.9
+pkgrel=0
+pkgdesc="Host side implementation of the DFU 1.0 and DFU 1.1 specifications"
+url="http://dfu-util.sourceforge.net/"
+arch="all"
+license="GPL-2"
+depends=
+makedepends="libusb-dev"
+options="!check"
+subpackages="$pkgname-doc"
+source="http://$pkgname.sourceforge.net/releases/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+
+build () {
+	cd "$builddir"
+	./configure --prefix=/usr
+	make
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="caa7148b7a9004e2b1f7bc4f1a26b48abfe311743bc0eeed1ab57459910371affc39b6fe7e74b7cac6ca9de41a9901b7a970253ca92d7d66d5008f8a11d2c952  dfu-util-0.9.tar.gz"
-- 
2.17.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Leonardo Arena <[email-masked]>
Date: Tue, 17 Jul 2018 15:57:06 +0200

Hi,

please see comments below.

> +++ b/testing/dfu-util/APKBUILD

Licence ID is incorrect: https://spdx.org/licenses/

+depends=
> +makedepends="libusb-dev"

"make check" is supported. Is there any why it's disabled?

Thanks!

/eo